1. Overview
Content such as a file or note can be shared with someone who is not a member of your account. How to share content see Create share for details.
| For more information about the feature itself, see our Help Center page. |
1.1. Guest Authentication
GET /oauth/token?client_id=clinked-guests&grant_type=share&token=5bcf0f7a-ebf3-45cc-aa1e-096281b2b1a9
HTTP/1.1
Host: api.clinked.com
| Parameter | Description |
|---|---|
|
Client id for guest should be - clinked-guests |
|
Grant type for guest should be - share |
|
Share token |
2. Guest shares
2.1. List shared content
GET /v3/shares HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 600
[ {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"contentContext" : {
"id" : 856
},
"dateCreated" : 1514764800000,
"dateExpire" : null,
"email" : "email@example.com",
"tokenKey" : "ae6721ef-8767-4d83-8040-5e092931251b",
"permission" : 1,
"passwordEnabled" : false,
"notifications" : false,
"component" : {
"id" : 1,
"contextKey" : {
"id" : 594
},
"type" : "page",
"name" : "home_page",
"friendlyName" : "Home Page"
}
} ]
| Path | Type | Description |
|---|---|---|
|
|
Optional user |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Content context id |
|
|
Date created |
|
|
Date expired |
|
|
Guest email |
|
|
Token key |
|
|
Permission |
|
|
Permission |
|
|
Notifications enabled |
|
|
Shared component |
|
|
Component id |
|
|
Context key id |
|
|
Component type - discussion, page, event, file, page, task |
|
|
Component name |
|
|
Component friendly name |
2.2. Get shared content
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/13640e91-7dfc-4cab-80a3-e4a1774f97b3 HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/13640e91-7dfc-4cab-80a3-e4a1774f97b3' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/13640e91-7dfc-4cab-80a3-e4a1774f97b3' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 434
{
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"contentContext" : {
"id" : 359
},
"dateCreated" : 1514764800000,
"dateExpire" : null,
"email" : "email@example.com",
"tokenKey" : "13640e91-7dfc-4cab-80a3-e4a1774f97b3",
"permission" : 1,
"passwordEnabled" : false,
"notifications" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Optional user |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Content context id |
|
|
Date created |
|
|
Date expired |
|
|
Guest email |
|
|
Token key |
|
|
Permission |
|
|
Permission |
|
|
Notifications enabled |
3. Discussions
3.1. Single discussion
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/aafcc28c-7b47-450d-821f-a832aa714c20/discussion HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/aafcc28c-7b47-450d-821f-a832aa714c20/discussion' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/aafcc28c-7b47-450d-821f-a832aa714c20/discussion' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1162
{
"id" : 1,
"contextKey" : {
"id" : 26
},
"sharing" : "MEMBERS",
"memberPermission" : 2,
"attachmentCount" : 0,
"name" : "great_discussion",
"friendlyName" : "Great discussion",
"tags" : "",
"description" : "What do you think about this?",
"replies" : 5,
"dateCreated" : 1514764800000,
"lastModified" : 1514764800000,
"author" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
discussion id |
|
|
Context key |
|
|
Context key ID |
|
|
Level of sharing |
|
|
Permission level |
|
|
Discussion name |
|
|
Discussion name |
|
|
Tags |
|
|
Discussion description |
|
|
Reply count |
|
|
Date created |
|
|
Date last modified |
|
|
Attachment count |
|
|
User’s full name |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User username if user is defined |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
3.3. List replies
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/ee90ee35-020a-42c6-880d-65e3727b7867/discussion/replies?page=1&size=10 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/ee90ee35-020a-42c6-880d-65e3727b7867/discussion/replies?page=1&size=10' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/ee90ee35-020a-42c6-880d-65e3727b7867/discussion/replies?page=1&size=10' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
Page number |
|
Page size |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 704
{
"items" : [ {
"id" : 1,
"reactions" : {
"totalReactions" : 3,
"userReaction" : "THUMBS_UP",
"thumbsUp" : 1,
"thumbsDown" : 0,
"heart" : 0,
"openEye" : 0,
"fire" : 0
},
"reply" : "reply text",
"dateCreated" : 1514764800000,
"author" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
}
} ],
"currentPage" : 1,
"totalPages" : 1,
"pageSize" : 1,
"totalResults" : 1,
"nextPage" : false,
"previousPage" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Page items |
|
|
Current page number |
|
|
Current page size |
|
|
Next page available |
|
|
Previous page available |
|
|
Amount of available pages |
|
|
Total results |
|
|
Reply id |
|
|
Reply text |
|
|
Date created |
|
|
User’s full name |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User username if user is defined |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Number of total reactions |
|
|
Reaction - [THUMBS_UP, THUMBS_DOWN, HEART, OPEN_EYE, FIRE] |
|
|
Number of thumbs up |
|
|
Number of thumbs down |
|
|
Number of hearts |
|
|
Number of open eye |
|
|
Number of fire |
3.4. Create reply
| Parameter | Description |
|---|---|
|
Share token |
POST /v3/shares/6b5774d3-abfe-49e6-8de1-4c78eba3f6d2/discussion/replies HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
Content-Length: 23
{
"reply" : "Hello"
}
$ echo '{
"reply" : "Hello"
}' | http POST 'https://api.clinked.com/v3/shares/6b5774d3-abfe-49e6-8de1-4c78eba3f6d2/discussion/replies' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/6b5774d3-abfe-49e6-8de1-4c78eba3f6d2/discussion/replies' -i -X POST \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json' \
-d '{
"reply" : "Hello"
}'
| Path | Type | Description |
|---|---|---|
|
|
Reply text |
HTTP/1.1 201 Created
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 351
{
"id" : 1,
"reactions" : null,
"reply" : "reply text",
"dateCreated" : 1514764800000,
"author" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
}
}
| Path | Type | Description |
|---|---|---|
|
|
Reply id |
|
|
Reply text |
|
|
Date created |
|
|
User’s full name |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User username if user is defined |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Reactions |
4. Events
4.1. Single event
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/bc5b79be-d101-487c-ac88-dbf3d0489edb/events HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/bc5b79be-d101-487c-ac88-dbf3d0489edb/events' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/bc5b79be-d101-487c-ac88-dbf3d0489edb/events' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1393
{
"id" : 1,
"contextKey" : {
"id" : 184
},
"sharing" : "MEMBERS",
"memberPermission" : 8,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "meeting_with_a_client",
"friendlyName" : "Meeting with a client",
"startDate" : "2018-01-05T14:00Z[UTC]",
"endDate" : "2018-01-05T15:00Z[UTC]",
"allDay" : false,
"location" : "London",
"tags" : "tag1,tag2",
"dateReminder" : "2017-12-31T08:00Z[UTC]",
"recurrence" : "FREQ=WEEKLY;WKST=MO;BYDAY=FR",
"dateEndRecurrence" : "2026-03-24T14:32:17.260Z[UTC]",
"description" : "Let's do this every friday",
"disableMaybe" : false,
"author" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"lastModified" : 1514764800000,
"color" : "#212121",
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
Event ID |
|
|
Context key |
|
|
Context key ID |
|
|
Sharing option, determines who can see an event: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member permission mask |
|
|
Event author |
|
|
Amount of attachments |
|
|
Unique name |
|
|
Full name |
|
|
Event start date |
|
|
Event end date |
|
|
All day event |
|
|
Event location |
|
|
Comma separated list of tags |
|
|
When to send a reminder about an event |
|
|
Valid recurrence rule |
|
|
Recurrence end date |
|
|
Event description |
|
|
List of users invited to the event |
|
|
Date last modified |
|
|
Do not allow invited members to choose 'maybe' option |
|
|
Comment count |
|
|
Event color |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
5. Notes
5.1. Single note
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/f1c0800f-1f1c-46fe-ba28-b3fa8fbfeb5f/notes HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/f1c0800f-1f1c-46fe-ba28-b3fa8fbfeb5f/notes' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/f1c0800f-1f1c-46fe-ba28-b3fa8fbfeb5f/notes' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1570
{
"id" : 1,
"contextKey" : {
"id" : 46
},
"sharing" : "MEMBERS",
"memberPermission" : 8,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "home_page",
"friendlyName" : "Home Page",
"template" : false,
"tags" : "lorem,ipsum",
"content" : "",
"dateCreated" : 1514764800000,
"lastModified" : 1514764800000,
"creator" : {
"id" : 1,
"username" : "jack",
"enabled" : true,
"locked" : false,
"name" : "Jack Bauer",
"jobTitle" : "Marketing",
"organisation" : "Clinked",
"email" : "jack.bauer@clinked.com",
"address" : "71 Pilgrim Avenue",
"telephone" : "123456789",
"other" : null,
"logo" : false,
"timeZone" : "UTC",
"locale" : "en",
"verifiedEmail" : false,
"twoFactorAuthentication" : false,
"twoFactorMode" : null,
"lastModified" : 1514764800000,
"dateFormat" : null,
"twentyFourHourTimeFormat" : false,
"lastActive" : null
},
"versions" : 1,
"attachments" : [ ],
"pageType" : "FOLDER",
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
Note id |
|
|
Unique name (slug) |
|
|
Name |
|
|
Context key |
|
|
Context key ID |
|
|
Base details about group |
|
|
Is a template |
|
|
Comma-separated list of tags |
|
|
Note content |
|
|
Sharing option, determines who can see a note: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Amount of attachments |
|
|
Amount of comments |
|
|
List of attachments |
|
|
User created the page |
|
|
Date when note was last modified |
|
|
Total page vesions |
|
|
Date when note was created |
|
|
PAGE or FOLDER |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Is user enabled |
|
|
Is user locked |
|
|
Organisation name |
|
|
Email address |
|
|
Address |
|
|
Phone number |
|
|
Optional other information |
|
|
Time zone ID |
|
|
Locale |
|
|
Is email verified |
|
|
Is 2FA enabled |
|
|
2FA mode: [AUTHENTICATOR, SMS, EMAIL] |
|
|
Time format preference - 24hr or 12hr format |
|
|
Date the user was last active |
|
|
Date format preference - YMD (Year-Month-Day), MDY (Month/Day/Year) or DMY(Day/Month/Year) |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
5.2. Note Folder
Lists notes in shared note folder.
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/816a98e5-49c8-43bc-bb8b-05fba494211c/notes?parentId=1 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/816a98e5-49c8-43bc-bb8b-05fba494211c/notes?parentId=1' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/816a98e5-49c8-43bc-bb8b-05fba494211c/notes?parentId=1' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
Shared note folder id |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1768
{
"items" : [ {
"id" : 1,
"contextKey" : {
"id" : 696
},
"sharing" : "MEMBERS",
"memberPermission" : 8,
"name" : "home_page",
"friendlyName" : "Home Page",
"template" : false,
"tags" : "lorem,ipsum",
"content" : "",
"dateCreated" : 1514764800000,
"lastModified" : 1514764800000,
"creator" : {
"id" : 1,
"username" : "jack",
"enabled" : true,
"locked" : false,
"name" : "Jack Bauer",
"jobTitle" : "Marketing",
"organisation" : "Clinked",
"email" : "jack.bauer@clinked.com",
"address" : "71 Pilgrim Avenue",
"telephone" : "123456789",
"other" : null,
"logo" : false,
"timeZone" : "UTC",
"locale" : "en",
"verifiedEmail" : false,
"twoFactorAuthentication" : false,
"twoFactorMode" : null,
"lastModified" : 1514764800000,
"dateFormat" : null,
"twentyFourHourTimeFormat" : false,
"lastActive" : null
},
"versions" : 1,
"pageType" : "PAGE",
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
} ],
"currentPage" : 1,
"totalPages" : 1,
"pageSize" : 1,
"totalResults" : 1,
"nextPage" : false,
"previousPage" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Note id |
|
|
Unique name (slug) |
|
|
Name |
|
|
Context key |
|
|
Context key ID |
|
|
Base details about group |
|
|
Is a template |
|
|
Comma-separated list of tags |
|
|
Note content |
|
|
Sharing option, determines who can see a note: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Amount of attachments |
|
|
Amount of comments |
|
|
List of attachments |
|
|
User created the page |
|
|
Date when note was last modified |
|
|
Total page vesions |
|
|
Date when note was created |
|
|
PAGE or FOLDER |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Is user enabled |
|
|
Is user locked |
|
|
Organisation name |
|
|
Email address |
|
|
Address |
|
|
Phone number |
|
|
Optional other information |
|
|
Time zone ID |
|
|
Locale |
|
|
Is email verified |
|
|
Is 2FA enabled |
|
|
2FA mode: [AUTHENTICATOR, SMS, EMAIL] |
|
|
Time format preference - 24hr or 12hr format |
|
|
Date the user was last active |
|
|
Date format preference - YMD (Year-Month-Day), MDY (Month/Day/Year) or DMY(Day/Month/Year) |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
|
|
Page items |
|
|
Current page number |
|
|
Current page size |
|
|
Next page available |
|
|
Previous page available |
|
|
Amount of available pages |
|
|
Total results |
5.3. Note in shared folder
| Parameter | Description |
|---|---|
|
Share token |
|
Note id |
GET /v3/shares/9c1c8c7d-7c9a-49b2-80f5-018403da35d6/notes/1 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/9c1c8c7d-7c9a-49b2-80f5-018403da35d6/notes/1' \
'Authorization:Bearer <YOUR-TOKEN>'
include::/home/ec2-user/clinked/clinked-api-webapp/target/generated-snippets/v3/shares/notes/subnote/curl-request.adoc[
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1569
{
"id" : 1,
"contextKey" : {
"id" : 786
},
"sharing" : "MEMBERS",
"memberPermission" : 8,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "home_page",
"friendlyName" : "Home Page",
"template" : false,
"tags" : "lorem,ipsum",
"content" : "",
"dateCreated" : 1514764800000,
"lastModified" : 1514764800000,
"creator" : {
"id" : 1,
"username" : "jack",
"enabled" : true,
"locked" : false,
"name" : "Jack Bauer",
"jobTitle" : "Marketing",
"organisation" : "Clinked",
"email" : "jack.bauer@clinked.com",
"address" : "71 Pilgrim Avenue",
"telephone" : "123456789",
"other" : null,
"logo" : false,
"timeZone" : "UTC",
"locale" : "en",
"verifiedEmail" : false,
"twoFactorAuthentication" : false,
"twoFactorMode" : null,
"lastModified" : 1514764800000,
"dateFormat" : null,
"twentyFourHourTimeFormat" : false,
"lastActive" : null
},
"versions" : 1,
"attachments" : [ ],
"pageType" : "PAGE",
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
Note id |
|
|
Unique name (slug) |
|
|
Name |
|
|
Context key |
|
|
Context key ID |
|
|
Base details about group |
|
|
Is a template |
|
|
Comma-separated list of tags |
|
|
Note content |
|
|
Sharing option, determines who can see a note: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Amount of attachments |
|
|
Amount of comments |
|
|
List of attachments |
|
|
User created the page |
|
|
Date when note was last modified |
|
|
Total page vesions |
|
|
Date when note was created |
|
|
PAGE or FOLDER |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Is user enabled |
|
|
Is user locked |
|
|
Organisation name |
|
|
Email address |
|
|
Address |
|
|
Phone number |
|
|
Optional other information |
|
|
Time zone ID |
|
|
Locale |
|
|
Is email verified |
|
|
Is 2FA enabled |
|
|
2FA mode: [AUTHENTICATOR, SMS, EMAIL] |
|
|
Time format preference - 24hr or 12hr format |
|
|
Date the user was last active |
|
|
Date format preference - YMD (Year-Month-Day), MDY (Month/Day/Year) or DMY(Day/Month/Year) |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
5.5. List versions
| Parameter | Description |
|---|---|
|
Share Token |
GET /v3/shares/96137dc0-0c04-4a03-ac98-64f669939e94/notes/versions HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/96137dc0-0c04-4a03-ac98-64f669939e94/notes/versions' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/96137dc0-0c04-4a03-ac98-64f669939e94/notes/versions' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
Page number to load |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1392
{
"items" : [ {
"id" : 31,
"versionNumber" : 1,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"summary" : "Pol, a bene elevatus, historia!",
"lastModified" : 1774362742652
}, {
"id" : 32,
"versionNumber" : 2,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"summary" : "Pol, a bene elevatus, historia!",
"lastModified" : 1774362742652
}, {
"id" : 33,
"versionNumber" : 3,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"summary" : "Pol, a bene elevatus, historia!",
"lastModified" : 1774362742652
} ],
"currentPage" : 1,
"totalPages" : 1,
"pageSize" : 3,
"totalResults" : 3,
"nextPage" : false,
"previousPage" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Page items |
|
|
Current page number |
|
|
Current page size |
|
|
Next page available |
|
|
Previous page available |
|
|
Amount of available pages |
|
|
Total results |
|
|
ID |
|
|
Version number |
|
|
A safe user who uploaded a file |
|
|
Version description / summary |
|
|
Last modification timestamp |
|
|
User’s full name |
|
|
User’s usernae if the user is defined |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User / profile id |
|
|
Full name |
|
|
Username |
|
|
Avatar available |
|
|
Job title |
|
|
Last profile update date |
5.6. Download version
| Parameter | Description |
|---|---|
|
Version number |
|
Share token |
GET /v3/shares/78d18328-a0c8-4b94-9636-65a558d7efa8/notes/versions/1 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/78d18328-a0c8-4b94-9636-65a558d7efa8/notes/versions/1' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/78d18328-a0c8-4b94-9636-65a558d7efa8/notes/versions/1' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Disposition: attachment; filename="Home Page"
Last-Modified: Tue, 24 Mar 2026 14:32:22 GMT
Content-Length: 5
Content-Type: text/html
Accept-Ranges: bytes
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
hello
6. Tasks
6.1. Single task
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/8629b926-288d-4563-a2bb-43f2f558808e/tasks HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/8629b926-288d-4563-a2bb-43f2f558808e/tasks' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/8629b926-288d-4563-a2bb-43f2f558808e/tasks' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1460
{
"id" : 1,
"contextKey" : {
"id" : 953
},
"sharing" : "MEMBERS",
"memberPermission" : 8,
"attachmentCount" : 0,
"commentCount" : 0,
"friendlyName" : "Deploy update",
"name" : "deploy_update",
"status" : "WAITING",
"priority" : "MEDIUM",
"progress" : 0,
"author" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"dueDate" : "2022-08-25T11:56:54Z[UTC]",
"tags" : "",
"description" : "Let's do this",
"dateCreated" : 1514764800000,
"dateReminder" : "2017-12-31T08:00Z[UTC]",
"recurrence" : null,
"order" : 2147483647,
"category" : null,
"assignees" : null,
"numberOfSubTasks" : 0,
"lastModified" : 1514764800000,
"timeTracker" : {
"trackingStartDate" : 1514764800000,
"timeTracked" : 948480
},
"dateCompleted" : 1514764810000,
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
Task category ID |
|
|
Сontext key |
|
|
Сontext key ID |
|
|
Task slug |
|
|
Task name |
|
|
User created this task |
|
|
Task status code |
|
|
Task priority |
|
|
Task progress |
|
|
Task tags (comma separated) |
|
|
Zoned ISO due date-time |
|
|
Zoned ISO reminder date-time |
|
|
Task recurrence rule |
|
|
Task order |
|
|
Task description |
|
|
File to which the task is attached to |
|
|
Task category |
|
|
Task assignees |
|
|
Sharing option, determines who can see a note: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Amount of attachments |
|
|
Amount of comments |
|
|
User is following note |
|
|
Amount of shares |
|
|
Note has individual user permissions |
|
|
User permission |
|
|
User capabilities on content |
|
|
Date task was created |
|
|
Date task was completed |
|
|
Date task was last modified |
|
|
Parent task |
|
|
Number of subtasks |
|
|
Task time tracker |
|
|
Tracking start date |
|
|
Time tracked in milliseconds |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
7. Comments
7.1. Comment count
| Parameter | Description |
|---|---|
|
Share token |
|
Context "name_id". Supported names are: file, page, event, task, discussion |
HTTP/1.1 200 OK
X-Count: 7
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
7.2. List comments
| Parameter | Description |
|---|---|
|
Share token |
|
Context "name_id". Supported names are: file, page, event, task, discussion |
GET /v3/shares/45ed55e5-00e6-4682-bdbb-a80bc8d3c9db/context/discussion_1/comments HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/45ed55e5-00e6-4682-bdbb-a80bc8d3c9db/context/discussion_1/comments' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/45ed55e5-00e6-4682-bdbb-a80bc8d3c9db/context/discussion_1/comments' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
Parent comment id |
|
Comment offset |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 894
{
"offset" : "0",
"items" : [ {
"comment" : {
"id" : 1,
"commenter" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"updater" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"comment" : "Hello world",
"dateCreated" : 1514764800000,
"dateUpdated" : 1514764800000,
"numberOfChildren" : 0,
"edited" : false
},
"replies" : null
} ],
"more" : true
}
| Path | Type | Description |
|---|---|---|
|
|
Comment offset |
|
|
Comments |
|
|
Comment id |
|
|
Comment content |
|
|
Number of children |
|
|
Has been edited |
|
|
User object |
|
|
Username |
|
|
Name |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User that updated the comment |
|
|
User object |
|
|
Username |
|
|
Name |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Date created |
|
|
Date updated |
|
|
Comment reactions |
|
|
Comment replies |
|
|
Is there more results |
7.3. Create comment
| Parameter | Description |
|---|---|
|
Share token |
|
Context "name_id". Supported names are: file, page, event, task, discussion |
POST /v3/shares/4c09c8eb-27a9-407c-8945-7a2730d0b8a4/context/event_1/comments HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
Content-Length: 25
{
"message" : "Hello"
}
$ echo '{
"message" : "Hello"
}' | http POST 'https://api.clinked.com/v3/shares/4c09c8eb-27a9-407c-8945-7a2730d0b8a4/context/event_1/comments' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/4c09c8eb-27a9-407c-8945-7a2730d0b8a4/context/event_1/comments' -i -X POST \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json' \
-d '{
"message" : "Hello"
}'
| Path | Type | Description |
|---|---|---|
|
|
Comment text |
|
|
Parent id |
|
|
Mentions |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 429
{
"id" : 13,
"commenter" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"updater" : null,
"comment" : "Hello",
"dateCreated" : 1514764800000,
"dateUpdated" : 1514764800000,
"numberOfChildren" : 0,
"edited" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Comment id |
|
|
Comment content |
|
|
Number of children |
|
|
Has been edited |
|
|
User object |
|
|
Username |
|
|
Name |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User that updated the comment |
|
|
User object |
|
|
Username |
|
|
Name |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Date created |
|
|
Date updated |
7.4. Update comment
| Parameter | Description |
|---|---|
|
Share token |
|
Context "name_id". Supported names are: file, page, event, task, discussion |
|
Comment id |
PATCH /v3/shares/ded64d4f-c36d-4063-817f-0af34ccc1003/context/event_1/comments/1 HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
Content-Length: 25
{
"message" : "Hello"
}
$ echo '{
"message" : "Hello"
}' | http PATCH 'https://api.clinked.com/v3/shares/ded64d4f-c36d-4063-817f-0af34ccc1003/context/event_1/comments/1' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/ded64d4f-c36d-4063-817f-0af34ccc1003/context/event_1/comments/1' -i -X PATCH \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json' \
-d '{
"message" : "Hello"
}'
| Path | Type | Description |
|---|---|---|
|
|
Comment text |
|
|
Parent id |
|
|
Mentions |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 354
{
"id" : 13,
"commenter" : {
"user" : null,
"name" : "example@example.com",
"username" : null
},
"updater" : {
"user" : null,
"name" : "example@example.com",
"username" : null
},
"comment" : "Hello world",
"dateCreated" : 1514764800000,
"dateUpdated" : 1514764800000,
"numberOfChildren" : 0,
"edited" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Comment id |
|
|
Commenter object |
|
|
Commenter user object |
|
|
Commenter name |
|
|
Commenter username |
|
|
Comment content |
|
|
Date created |
|
|
Date updated |
|
|
Number of children |
|
|
Has been edited |
|
|
Commenter object |
|
|
Commenter user object |
|
|
Commenter name |
|
|
Commenter username |
7.5. List reactions
| Parameter | Description |
|---|---|
|
example: reply_1, comment_1, discussions have 'reply', everything else 'comment' |
|
Share token |
GET /v3/shares/ce02127b-d440-4266-bcc8-580f62eefd0b/context/comment_1/reactions HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/ce02127b-d440-4266-bcc8-580f62eefd0b/context/comment_1/reactions' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/ce02127b-d440-4266-bcc8-580f62eefd0b/context/comment_1/reactions' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 380
[ {
"user" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"reactionType" : "THUMBS_UP",
"dateCreated" : 1514764800000,
"dateUpdated" : 1514764800000,
"disabled" : false
} ]
| Path | Type | Description |
|---|---|---|
|
|
User |
|
|
Commenter user object |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Commenter name |
|
|
Commenter username |
|
|
Reaction type: [THUMBS_UP, THUMBS_DOWN, HEART, OPEN_EYE, FIRE] |
|
|
Date created |
|
|
Date updated |
|
|
Is reaction disabled |
7.6. Summary
| Parameter | Description |
|---|---|
|
example: reply_1, comment_1, discussions have 'reply', everything else 'comment' |
|
Share token |
GET /v3/shares/2ebeaa0b-9534-434f-afae-c5b063936216/context/comment_1/reactions?summary=&summary= HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/2ebeaa0b-9534-434f-afae-c5b063936216/context/comment_1/reactions?summary=&summary=' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/2ebeaa0b-9534-434f-afae-c5b063936216/context/comment_1/reactions?summary=&summary=' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 137
{
"totalReactions" : 5,
"userReaction" : "FIRE",
"thumbsUp" : 1,
"thumbsDown" : 1,
"heart" : 1,
"openEye" : 1,
"fire" : 1
}
| Path | Type | Description |
|---|---|---|
|
|
Number of total reactions |
|
|
Reaction - [THUMBS_UP, THUMBS_DOWN, HEART, OPEN_EYE, FIRE] |
|
|
Number of thumbs up |
|
|
Number of thumbs down |
|
|
Number of hearts |
|
|
Number of open eye |
|
|
Number of fire |
7.7. Create reaction
| Parameter | Description |
|---|---|
|
example: reply_1, comment_1, discussions have 'reply', everything else 'comment' |
|
Share token |
POST /v3/shares/16cb2435-7961-41bb-8bc3-cc417171214f/context/comment_1/reactions HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
Content-Length: 34
{
"reactionType" : "THUMBS_UP"
}
$ echo '{
"reactionType" : "THUMBS_UP"
}' | http POST 'https://api.clinked.com/v3/shares/16cb2435-7961-41bb-8bc3-cc417171214f/context/comment_1/reactions' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/16cb2435-7961-41bb-8bc3-cc417171214f/context/comment_1/reactions' -i -X POST \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json' \
-d '{
"reactionType" : "THUMBS_UP"
}'
| Path | Type | Description |
|---|---|---|
|
|
Reaction type - [THUMBS_UP, THUMBS_DOWN, HEART, OPEN_EYE, FIRE] |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 376
{
"user" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"reactionType" : "THUMBS_UP",
"dateCreated" : 1514764800000,
"dateUpdated" : 1514764800000,
"disabled" : false
}
| Path | Type | Description |
|---|---|---|
|
|
User |
|
|
Commenter user object |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
Commenter name |
|
|
Commenter username |
|
|
Reaction type: [THUMBS_UP, THUMBS_DOWN, HEART, OPEN_EYE, FIRE] |
|
|
Date created |
|
|
Date updated |
|
|
Is reaction disabled |
7.8. Disable reaction
| Parameter | Description |
|---|---|
|
example: reply_1, comment_1, discussions have 'reply', everything else 'comment' |
|
Share token |
DELETE /v3/shares/5d035f0c-628c-4716-8c15-3c3c40710b1a/context/comment_1/reactions HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Accept: application/json
Host: api.clinked.com
$ http DELETE 'https://api.clinked.com/v3/shares/5d035f0c-628c-4716-8c15-3c3c40710b1a/context/comment_1/reactions' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>' \
'Accept:application/json'
$ curl 'https://api.clinked.com/v3/shares/5d035f0c-628c-4716-8c15-3c3c40710b1a/context/comment_1/reactions' -i -X DELETE \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-H 'Accept: application/json'
HTTP/1.1 200 OK
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
8. Attachments
8.1. List attachments
| Parameter | Description |
|---|---|
|
Share token |
|
Context "name_id". Supported names are: file, page, event, task, discussion |
GET /v3/shares/251f3c02-ae0e-41d1-bb1b-4a62043a8283/context/page_1/attachments HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/251f3c02-ae0e-41d1-bb1b-4a62043a8283/context/page_1/attachments' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/251f3c02-ae0e-41d1-bb1b-4a62043a8283/context/page_1/attachments' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
Page number |
|
Boolean, get only folders |
|
Attachment name |
|
Filter by content type |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 392
{
"items" : [ {
"id" : 1,
"friendlyName" : "Cat.jpg",
"name" : "cat.jpg",
"contentType" : "image/jpg",
"size" : 4500,
"lastModified" : 1774362741193,
"href" : null,
"fileId" : null,
"url" : null,
"removed" : false
} ],
"currentPage" : 1,
"totalPages" : 1,
"pageSize" : 1,
"totalResults" : 1,
"nextPage" : false,
"previousPage" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Attachment id |
|
|
Attachment name |
|
|
Attachment slug |
|
|
Attachment content type |
|
|
Attachment file size |
|
|
Last modification date |
|
|
Preview details |
|
|
Thumbnails |
|
|
Alternative formats |
|
|
Attached group file is removed |
|
|
Linked group file ID |
|
|
Url to download attachment |
|
|
Has the preview conversion finished |
|
|
Was the preview conversion successful |
|
|
Values specific to the preview type |
|
|
File URL |
|
|
File ID |
|
|
Error code if preview conversion failed |
|
|
Page items |
|
|
Current page number |
|
|
Current page size |
|
|
Next page available |
|
|
Previous page available |
|
|
Amount of available pages |
|
|
Total results |
8.2. Download attachment
| Parameter | Description |
|---|---|
|
Share token |
|
Context "name_id". Supported names are: file, page, event, task, discussion |
|
Attachment id |
GET /v3/shares/397f77d6-5f9d-4a53-a9a4-2523a7c02c7f/context/page_1/attachments/1/download HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/397f77d6-5f9d-4a53-a9a4-2523a7c02c7f/context/page_1/attachments/1/download' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/397f77d6-5f9d-4a53-a9a4-2523a7c02c7f/context/page_1/attachments/1/download' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 302 Found
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Location: example.com
9. Group files list
9.1. List files
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/afc0fa64-3a00-437e-a3df-77fffadab21a/fileList?page=1&size=5 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/afc0fa64-3a00-437e-a3df-77fffadab21a/fileList?page=1&size=5' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/afc0fa64-3a00-437e-a3df-77fffadab21a/fileList?page=1&size=5' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
Page number to load |
|
Page size |
|
Order field |
|
Ascending order direction |
|
Additional data to load |
|
Name filter/search |
|
Parent folder id |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 2949
{
"items" : [ {
"id" : 1,
"contextKey" : {
"id" : 680
},
"sharing" : "NONE",
"memberPermission" : 2,
"following" : null,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "example_folder",
"friendlyName" : "Example Folder",
"contentType" : "@folder",
"size" : 0,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"tags" : null,
"locked" : false,
"locker" : null,
"lastModified" : 1514764800000,
"summary" : null,
"path" : [ ],
"versions" : 0,
"previewInfo" : null,
"watermark" : false,
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}, {
"id" : 1,
"contextKey" : {
"id" : 708
},
"sharing" : "NONE",
"memberPermission" : 2,
"following" : null,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "file_example.pdf",
"friendlyName" : "File Example.pdf",
"contentType" : "application/pdf",
"size" : 1000,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"tags" : "tag1,tag2",
"locked" : false,
"locker" : null,
"lastModified" : 1514764800000,
"summary" : null,
"path" : [ ],
"versions" : 0,
"previewInfo" : null,
"watermark" : false,
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
} ],
"currentPage" : 1,
"pageSize" : 5,
"totalResults" : 0,
"nextPage" : false,
"previousPage" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Page items |
|
|
Current page number |
|
|
Current page size |
|
|
Next page available |
|
|
Previous page available |
|
|
Amount of available pages |
|
|
Total results |
|
|
File id |
|
|
Context key |
|
|
Context key ID |
|
|
Base information about the group |
|
|
Unique file name, generated automatically by API |
|
|
Full file name that should be visible to a user |
|
|
Content type |
|
|
Size in bytes |
|
|
User who uploaded a file |
|
|
Number of versions |
|
|
Sharing option, determines who can see a file: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Tags separated by comma |
|
|
File is locked and should not be updated |
|
|
User locked the file |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Preview data if available |
|
|
Array of all file records making up the path of this file (incl. itself) |
|
|
File parent folder |
|
|
Latest file version comment |
|
|
Indicates that user is following the file record or not |
|
|
Amount of comments |
|
|
Amount of attachments |
|
|
File watermark status |
|
|
User’s full name |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User username if user is defined |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
10. Files batch download
10.1. Submit download request
| Parameter | Description |
|---|---|
|
Share token |
POST /v3/shares/3d2e603a-7808-4af9-a4e8-bc4bb1b3eea9/filesBatchDownload HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
Content-Length: 5
[ 1 ]
$ echo '[ 1 ]' | http POST 'https://api.clinked.com/v3/shares/3d2e603a-7808-4af9-a4e8-bc4bb1b3eea9/filesBatchDownload' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/3d2e603a-7808-4af9-a4e8-bc4bb1b3eea9/filesBatchDownload' -i -X POST \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-d '[ 1 ]'
| Path | Type | Description |
|---|---|---|
|
|
Array of file id’s |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 38
"d168f91a-4dab-4678-a2a8-727671eae544"
| Description |
|---|
Download Job id |
10.2. Job status
| Parameter | Description |
|---|---|
|
Share token |
|
Download job id |
GET /v3/shares/574740ce-faa8-42b3-9e90-58050c54ef3b/filesBatchDownload/bf977d71-cd2c-494c-860d-3ebfb714dbf4/status HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/574740ce-faa8-42b3-9e90-58050c54ef3b/filesBatchDownload/bf977d71-cd2c-494c-860d-3ebfb714dbf4/status' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/574740ce-faa8-42b3-9e90-58050c54ef3b/filesBatchDownload/bf977d71-cd2c-494c-860d-3ebfb714dbf4/status' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 24
{
"progress" : 100.0
}
HTTP/1.1 206 Partial Content
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 23
{
"progress" : 44.0
}
| Path | Type | Description |
|---|---|---|
|
|
Percent complete |
10.3. Download Files
| Parameter | Description |
|---|---|
|
Share token |
|
Download job id |
GET /v3/shares/4de98b52-4c3e-40df-9de7-e762c3e1d6f1/filesBatchDownload/bf977d71-cd2c-494c-860d-3ebfb714dbf4 HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/4de98b52-4c3e-40df-9de7-e762c3e1d6f1/filesBatchDownload/bf977d71-cd2c-494c-860d-3ebfb714dbf4' \
'Content-Type:application/json' \
'Accept:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/4de98b52-4c3e-40df-9de7-e762c3e1d6f1/filesBatchDownload/bf977d71-cd2c-494c-860d-3ebfb714dbf4' -i -X GET \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 302 Found
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Location: http://url-to-download-101
11. Files
11.1. Files search
Search file by its path
| Parameter | Description |
|---|---|
|
Share token |
GET /v3/shares/d9f7f48f-6b27-43ea-bed9-f71f2d40a0b6/files?path=file_example.pdf HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/d9f7f48f-6b27-43ea-bed9-f71f2d40a0b6/files?path=file_example.pdf' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/d9f7f48f-6b27-43ea-bed9-f71f2d40a0b6/files?path=file_example.pdf' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
File path |
|
Set of file id’s |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1308
{
"id" : 1,
"contextKey" : {
"id" : 913
},
"sharing" : "NONE",
"memberPermission" : 2,
"following" : null,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "file_example.pdf",
"friendlyName" : "File Example.pdf",
"contentType" : "application/pdf",
"size" : 1000,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"tags" : "tag1,tag2",
"locked" : false,
"locker" : null,
"lastModified" : 1514764800000,
"summary" : null,
"path" : [ ],
"versions" : 0,
"previewInfo" : null,
"watermark" : false,
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
File id |
|
|
Context key |
|
|
Context key ID |
|
|
Base information about the group |
|
|
Unique file name, generated automatically by API |
|
|
Full file name that should be visible to a user |
|
|
Content type |
|
|
Size in bytes |
|
|
User who uploaded a file |
|
|
Number of versions |
|
|
Sharing option, determines who can see a file: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Tags separated by comma |
|
|
File is locked and should not be updated |
|
|
User locked the file |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Preview data if available |
|
|
Array of all file records making up the path of this file (incl. itself) |
|
|
File parent folder |
|
|
Latest file version comment |
|
|
Indicates that user is following the file record or not |
|
|
Amount of comments |
|
|
Amount of attachments |
|
|
File watermark status |
|
|
User’s full name |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User username if user is defined |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
11.2. File details
Returns detailed information about a single file.
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
GET /v3/shares/a820cdad-29fb-4898-9f89-2c0704027763/files/1 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/a820cdad-29fb-4898-9f89-2c0704027763/files/1' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/a820cdad-29fb-4898-9f89-2c0704027763/files/1' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1307
{
"id" : 1,
"contextKey" : {
"id" : 88
},
"sharing" : "NONE",
"memberPermission" : 2,
"following" : null,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "file_example.pdf",
"friendlyName" : "File Example.pdf",
"contentType" : "application/pdf",
"size" : 1000,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"tags" : "tag1,tag2",
"locked" : false,
"locker" : null,
"lastModified" : 1514764800000,
"summary" : null,
"path" : [ ],
"versions" : 0,
"previewInfo" : null,
"watermark" : false,
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
File id |
|
|
Context key |
|
|
Context key ID |
|
|
Base information about the group |
|
|
Unique file name, generated automatically by API |
|
|
Full file name that should be visible to a user |
|
|
Content type |
|
|
Size in bytes |
|
|
User who uploaded a file |
|
|
Number of versions |
|
|
Sharing option, determines who can see a file: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Tags separated by comma |
|
|
File is locked and should not be updated |
|
|
User locked the file |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Preview data if available |
|
|
Array of all file records making up the path of this file (incl. itself) |
|
|
File parent folder |
|
|
Latest file version comment |
|
|
Indicates that user is following the file record or not |
|
|
Amount of comments |
|
|
Amount of attachments |
|
|
File watermark status |
|
|
User’s full name |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User username if user is defined |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
11.3. File Preview
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
GET /v3/shares/72363951-9181-405e-9304-94ac6dae0a0c/files/1/preview?path=file_example.pdf HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/72363951-9181-405e-9304-94ac6dae0a0c/files/1/preview?path=file_example.pdf' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/72363951-9181-405e-9304-94ac6dae0a0c/files/1/preview?path=file_example.pdf' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 389
{
"session" : {
"id" : "3123123-kjhgkjhg",
"dateCreated" : "2023-06-29T11:55:40.851Z",
"dateExpire" : "2023-06-29T12:25:40.851Z",
"data" : {
"print" : true,
"annotate" : true,
"user" : {
"name" : "Jack Bauer",
"id" : 1
}
}
},
"url" : "example.com",
"websocketUrl" : "wss:example.com",
"embedUrl" : "example.com/embed"
}
| Path | Type | Description |
|---|---|---|
|
|
Session |
|
|
Session id |
|
|
Date created |
|
|
Date expire |
|
|
Has write permission |
|
|
Are comments not disabled |
|
|
User |
|
|
User id |
|
|
User name |
|
|
Preview url |
|
|
Websocket url |
|
|
Embed url |
11.4. Thumbnail
Download file thumbnail if it has one, otherwise default thumbnail gets returned.
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
GET /v3/shares/ac7642f9-b782-4f56-ad75-9ef98e25148f/files/1/thumbnail?path=file_example.pdf HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/ac7642f9-b782-4f56-ad75-9ef98e25148f/files/1/thumbnail?path=file_example.pdf' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/ac7642f9-b782-4f56-ad75-9ef98e25148f/files/1/thumbnail?path=file_example.pdf' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Disposition: inline; filename="filename"
Last-Modified: Mon, 01 Jan 2018 00:00:00 GMT
Content-Length: 4623
Content-Type: image/png
Accept-Ranges: bytes
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
11.5. Download file
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
GET /v3/shares/538b7dca-43b7-4858-8c2c-19503ae45d22/files/1/download?path=file_example.pdf HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/538b7dca-43b7-4858-8c2c-19503ae45d22/files/1/download?path=file_example.pdf' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/538b7dca-43b7-4858-8c2c-19503ae45d22/files/1/download?path=file_example.pdf' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 302 Found
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Location: example.com
11.6. Create file
For more information see Uploading files.
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
POST /v3/shares/fc392b5b-ab03-465b-8ea9-0df5779912c0/files/1?path=file_example.pdf HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
Content-Length: 123
{
"friendlyName" : "FileName",
"memberPermission" : 8,
"sharing" : "MEMBERS",
"versionSummary" : "Inital version"
}
$ echo '{
"friendlyName" : "FileName",
"memberPermission" : 8,
"sharing" : "MEMBERS",
"versionSummary" : "Inital version"
}' | http POST 'https://api.clinked.com/v3/shares/fc392b5b-ab03-465b-8ea9-0df5779912c0/files/1?path=file_example.pdf' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/fc392b5b-ab03-465b-8ea9-0df5779912c0/files/1?path=file_example.pdf' -i -X POST \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-d '{
"friendlyName" : "FileName",
"memberPermission" : 8,
"sharing" : "MEMBERS",
"versionSummary" : "Inital version"
}'
| Path | Type | Description |
|---|---|---|
|
|
Full file name |
|
|
Sharing option, determines who can see a file: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Version summary text |
|
|
Temp file id |
HTTP/1.1 201 Created
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1276
{
"id" : 5,
"contextKey" : {
"id" : 15
},
"sharing" : "MEMBERS",
"memberPermission" : 8,
"following" : null,
"attachmentCount" : 0,
"commentCount" : 0,
"name" : "filename",
"friendlyName" : "FileName",
"contentType" : "@folder",
"size" : 0,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"tags" : null,
"locked" : false,
"locker" : null,
"lastModified" : 1774362740500,
"summary" : null,
"path" : [ ],
"versions" : 0,
"previewInfo" : null,
"watermark" : false,
"group" : {
"id" : 1,
"name" : "explore_clinked",
"friendlyName" : "Explore Clinked",
"disableComments" : false,
"branding" : {
"headerColor" : "#ffffff",
"textColor" : "#ff0000",
"logo" : false,
"background" : false,
"alignment" : "left",
"backgroundPositionX" : 50,
"backgroundPositionY" : 50,
"hideBackgroundGradient" : false,
"hideLogoBackground" : false,
"hideGroupName" : false,
"hideLogo" : false
},
"lastModified" : 1514764800000,
"hash" : null
}
}
| Path | Type | Description |
|---|---|---|
|
|
File id |
|
|
Context key |
|
|
Context key ID |
|
|
Base information about the group |
|
|
Unique file name, generated automatically by API |
|
|
Full file name that should be visible to a user |
|
|
Content type |
|
|
Size in bytes |
|
|
User who uploaded a file |
|
|
Number of versions |
|
|
Sharing option, determines who can see a file: [NONE, DEFAULT, MEMBERS, PUBLIC] |
|
|
Member file permission mask |
|
|
Tags separated by comma |
|
|
File is locked and should not be updated |
|
|
User locked the file |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Preview data if available |
|
|
Array of all file records making up the path of this file (incl. itself) |
|
|
File parent folder |
|
|
Latest file version comment |
|
|
Indicates that user is following the file record or not |
|
|
Amount of comments |
|
|
Amount of attachments |
|
|
File watermark status |
|
|
User’s full name |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User username if user is defined |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Group name slug, used for internal identification and URIs |
|
|
Full group name, visible to a user |
|
|
Is commenting disabled for group |
|
|
Group branding settings |
|
|
Header background color |
|
|
Text color |
|
|
Logo exists |
|
|
Logo alignment |
|
|
Background exists |
|
|
Background image X position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Background image Y position |
|
|
Last modification date (timestamp in milliseconds) |
|
|
Group hash value |
11.8. List versions
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
GET /v3/shares/086e76dc-1a51-4b87-9ba1-fb179f5c7f69/files/1/versions?page=1 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/086e76dc-1a51-4b87-9ba1-fb179f5c7f69/files/1/versions?page=1' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/086e76dc-1a51-4b87-9ba1-fb179f5c7f69/files/1/versions?page=1' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
| Parameter | Description |
|---|---|
|
Page number |
| Path | Type | Description |
|---|---|---|
|
|
ID |
|
|
Version number |
|
|
A safe user who uploaded a file |
|
|
Version description / summary |
|
|
Last modification timestamp |
|
|
Size in bytes |
|
|
User’s full name |
|
|
User’s usernae if the user is defined |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User / profile id |
|
|
Full name |
|
|
Username |
|
|
Avatar available |
|
|
Job title |
|
|
Last profile update date |
|
|
Page items |
|
|
Current page number |
|
|
Current page size |
|
|
Next page available |
|
|
Previous page available |
|
|
Amount of available pages |
|
|
Total results |
11.9. Download version
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
|
Version id |
GET /v3/shares/33c20298-d8a6-48c0-97a3-4975423a51d2/files/1/versions/2?page=1 HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/33c20298-d8a6-48c0-97a3-4975423a51d2/files/1/versions/2?page=1' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/33c20298-d8a6-48c0-97a3-4975423a51d2/files/1/versions/2?page=1' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 302 Found
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Location: example.com
11.11. List approval requests
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
GET /v3/shares/050ac4af-79ec-406a-88fa-69627b8fa871/files/1/approvals HTTP/1.1
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
$ http GET 'https://api.clinked.com/v3/shares/050ac4af-79ec-406a-88fa-69627b8fa871/files/1/approvals' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/050ac4af-79ec-406a-88fa-69627b8fa871/files/1/approvals' -i -X GET \
-H 'Authorization: Bearer <YOUR-TOKEN>'
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 1602
{
"items" : [ {
"version" : {
"id" : 1,
"versionNumber" : 1,
"uploaded" : {
"user" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"name" : "Jack Bauer",
"username" : "jack"
},
"summary" : "Initial version",
"lastModified" : 1774362740054,
"size" : 1024
},
"requests" : [ {
"id" : 1,
"contextKey" : {
"id" : 87
},
"source" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"target" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"container" : {
"id" : 1,
"contextKey" : {
"id" : 78
},
"type" : "group"
},
"sourceName" : "jack.bauer@clinked.com",
"targetName" : "jack.bauer@clinked.com",
"type" : "ACCEPT_DECLINE",
"status" : "NONE",
"scope" : "1",
"parameters" : null,
"lastModified" : 1774362740054,
"account" : {
"id" : 1,
"name" : "awesome_org",
"friendlyName" : "Awesome Organisation",
"enabled" : true
}
} ]
} ],
"currentPage" : 1,
"pageSize" : 5,
"nextPage" : false,
"previousPage" : false
}
| Path | Type | Description |
|---|---|---|
|
|
Page items |
|
|
Current page number |
|
|
Current page size |
|
|
Next page available |
|
|
Previous page available |
|
|
Amount of available pages |
|
|
Total results |
|
|
File version |
|
|
List of requests |
|
|
ID |
|
|
Version number |
|
|
A safe user who uploaded a file |
|
|
Version description / summary |
|
|
Last modification timestamp |
|
|
Size in bytes |
|
|
User’s full name |
|
|
User’s usernae if the user is defined |
|
|
Detailed user data, will be set to null if user is deleted |
|
|
User / profile id |
|
|
Full name |
|
|
Username |
|
|
Avatar available |
|
|
Job title |
|
|
Last profile update date |
|
|
Entity id |
|
|
Context key |
|
|
Context key ID |
|
|
User who created a request |
|
|
Target user |
|
|
Request container |
|
|
Source user name |
|
|
Target user name |
|
|
Request type |
|
|
Request status |
|
|
Scope |
|
|
Additional parameters |
|
|
Last modification date |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Account name slug, used for internal identification and URIs |
|
|
Full account name, visible to a user |
|
|
Is account enabled |
11.12. Update approval request
| Parameter | Description |
|---|---|
|
Share token |
|
File id |
|
Request id |
PATCH /v3/shares/07ca2dc6-0ae7-4dcf-82de-30c7a6c27115/files/1/approvals/2 HTTP/1.1
Content-Type: application/json
Authorization: Bearer <YOUR-TOKEN>
Host: api.clinked.com
Content-Length: 54
{
"status" : "ACCEPT",
"parameters" : "Approved"
}
$ echo '{
"status" : "ACCEPT",
"parameters" : "Approved"
}' | http PATCH 'https://api.clinked.com/v3/shares/07ca2dc6-0ae7-4dcf-82de-30c7a6c27115/files/1/approvals/2' \
'Content-Type:application/json' \
'Authorization:Bearer <YOUR-TOKEN>'
$ curl 'https://api.clinked.com/v3/shares/07ca2dc6-0ae7-4dcf-82de-30c7a6c27115/files/1/approvals/2' -i -X PATCH \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR-TOKEN>' \
-d '{
"status" : "ACCEPT",
"parameters" : "Approved"
}'
| Path | Type | Description |
|---|---|---|
|
|
Approval status - [NONE, ACCEPT, DECLINE, MAYBE, REJECT] |
|
|
Approval message |
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
Strict-Transport-Security: max-age=31536000 ; includeSubDomains
X-Frame-Options: DENY
Content-Length: 820
{
"id" : 2,
"contextKey" : {
"id" : 326
},
"source" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"target" : {
"id" : 1,
"name" : "Jack Bauer",
"username" : "jack",
"logo" : false,
"jobTitle" : "Marketing",
"lastModified" : 1514764800000
},
"container" : {
"id" : 1,
"contextKey" : {
"id" : 536
},
"type" : "group"
},
"sourceName" : "guest@test.me",
"targetName" : "guest@test.me",
"type" : "FILE_APPROVAL",
"status" : "ACCEPT",
"scope" : "1",
"parameters" : null,
"lastModified" : 1774362739985,
"account" : {
"id" : 1,
"name" : "awesome_org",
"friendlyName" : "Awesome Organisation",
"enabled" : true
}
}
| Path | Type | Description |
|---|---|---|
|
|
Entity id |
|
|
Context key |
|
|
Context key ID |
|
|
User who created a request |
|
|
Target user |
|
|
Request container |
|
|
Source user name |
|
|
Target user name |
|
|
Request type |
|
|
Request status |
|
|
Scope |
|
|
Additional parameters |
|
|
Last modification date |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User id |
|
|
Full name |
|
|
Username |
|
|
Profile picture is defined |
|
|
Job title |
|
|
Last modified date |
|
|
User / profile id |
|
|
Account name slug, used for internal identification and URIs |
|
|
Full account name, visible to a user |
|
|
Is account enabled |
Comment reactions are user-generated responses to comments in the portal.